import { StepRunner, Store } from '../lib/runner';
export declare type CognitoStepRunnerStore = Store & {
    userPoolId: string;
    identityPoolId: string;
    userPoolClientId: string;
    region: string;
};
export declare const cognitoStepRunners: <W extends CognitoStepRunnerStore>({ region, developerProviderName, emailAsUsername, }: {
    developerProviderName: string;
    region: string;
    emailAsUsername?: boolean | undefined;
}) => StepRunner<W>[];
